#!/bin/bash
set -e

# Jenkins build steps
VERSION=$(git describe --always --abbrev=6)
ESCAPED_BRANCH_NAME=$(echo $sourceBranch | sed 's/[^a-z0-9A-Z_.-]/-/g')

# Build the images
make SUPERVISOR_VERSION=${ESCAPED_BRANCH_NAME} DEPLOY_REGISTRY= deploy
make SUPERVISOR_VERSION=${VERSION} DEPLOY_REGISTRY= deploy

make SUPERVISOR_VERSION=${ESCAPED_BRANCH_NAME} ARCH=i386 DEPLOY_REGISTRY= deploy
make SUPERVISOR_VERSION=${VERSION} ARCH=i386 DEPLOY_REGISTRY= deploy

make SUPERVISOR_VERSION=${ESCAPED_BRANCH_NAME} ARCH=armv7hf DEPLOY_REGISTRY= deploy
make SUPERVISOR_VERSION=${VERSION} ARCH=armv7hf DEPLOY_REGISTRY= deploy

# TODO: Change to deploy
make SUPERVISOR_VERSION=${ESCAPED_BRANCH_NAME} ARCH=x86_64 DEPLOY_REGISTRY= supervisor
make SUPERVISOR_VERSION=${VERSION} ARCH=x86_64 DEPLOY_REGISTRY= supervisor
